package com.kamco.cd.kamcoback.common.api;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

public class HelloDto {

  @Getter
  @Setter
  @NoArgsConstructor
  @AllArgsConstructor
  public static class Req {
    private String id;

    public void valid() {
      if (id == null) {
        throw new IllegalArgumentException(id);
      }
    }
  }

  @Getter
  public static class Res {
    private String id;
    private String name;

    @Builder
    public Res(String id, String name) {
      this.id = id;
      this.name = name;
    }
  }
}
